# IIOP_Endpoint.cpp File Reference

`#include "IIOP_Endpoint.h"`
`#include "IOP_IORC.h"`
`#include "debug.h"`
`#include "ORB_Core.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Guard_T.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_strings.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/os_include/os_netdb.h"`
`#include "ace/Vector_T.h"`
`#include "ace/ACE.h"`
`#include "ace/INET_Addr.h"`
`#include "ace/Sock_Connect.h"`

Include dependency graph for IIOP_Endpoint.cpp:

## Functions

ACE_CString | find_local (const ACE_Vector< ACE_CString > &local_ips, const ACE_CString &pattern)
void | get_ip_interfaces (ACE_Vector< ACE_CString > &local_ips)
void | find_preferred_interfaces (const ACE_CString &host, const ACE_CString &csvPreferred, ACE_Vector< ACE_CString > &preferred)

## Function Documentation

ACE_CString find_local | ( | const ACE_Vector< ACE_CString > & | local_ips,
|  | const ACE_CString & | pattern
| ) | `[static]`

void find_preferred_interfaces | ( | const ACE_CString & | host,
|  | const ACE_CString & | csvPreferred,
|  | ACE_Vector< ACE_CString > & | preferred
| ) | `[static]`

void get_ip_interfaces | ( | ACE_Vector< ACE_CString > & | local_ips | ) | `[static]`